extractr docs
Restaurants

Get restaurant reviews

GET
/restaurants/reviews

Recent diner reviews with rating, text and helpfulness votes.

Costs 3 credits per request.

Authorization

ApiKeyAuth
X-API-Key<token>

API key created in the extractr dashboard (ext_live_...). Also accepted as Authorization: Bearer.

In: header

Query Parameters

id*string
Length1 <= length
limit?integer
Range1 <= value <= 50
Default10

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/restaurants/reviews?id=rest_4f9a1c2b7d"
{  "restaurant_id": "string",  "total": 0,  "average_rating": 0,  "reviews": [    {      "id": "string",      "author": "Hannah M.",      "rating": 1,      "text": "string",      "date": "2026-05-14",      "helpful_votes": 0    }  ]}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}